1. pio_killer

    OP pio_killer Newbie
    Newcomer

    Joined:
    Mar 3, 2021
    Messages:
    6
    Country:
    France
    Hello, :D

    I have a problem when I want to install a game NSP with Goldleaf 0.9 on Atmosphere 0.18.1 (for Hyrule Warriors Age of Calamity)
    But I can install NSP Zelda Breath of the Wild.

    The switch firmware is 9.0.1


    I have this error:
    An error occurred while trying to install the NSP:
    Error: 2356-0008 (0x1164)
    Module: Goldleaf (356)
    Invalid key generation (console version is too low) (8)

    I don't speak english so I'm sorry. :unsure:
    This is the original message in french :
    Une erreur s'est produite lors de la tentative d'installation du NSP:
    Erreur : 2356-0008 (0x1164)
    Module: Goldleaf (356)
    Génération de la clé invalide (la version de la console est trop basse) (8)


    Is it possible to turn off version control with a tool directly in the NSP file and to save it ?
    This option is already done in Goldeleaf but it doesn't work



    Thanks for help me :)
     
    Last edited by pio_killer, Mar 4, 2021
  2. pio_killer

    OP pio_killer Newbie
    Newcomer

    Joined:
    Mar 3, 2021
    Messages:
    6
    Country:
    France
    I found a thread that talks about the same thing:

    From what I understand, I have to update the sigpatches or update the firmware.

    I already have correct sigpatches because other games are installed as it should.
    And I don't want to update the firmware.

    I'm sorry this is the first time i do this :blush:

    Any solution ?
     
  3. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    18,160
    Country:
    United States
    Not sure which firmware calamity requires, but I think like 10.0.0 introduced key 0a.
     
    BigOnYa likes this.
  4. pio_killer

    OP pio_killer Newbie
    Newcomer

    Joined:
    Mar 3, 2021
    Messages:
    6
    Country:
    France
    Thanks.;)

    FYI there is the same problem with Carrion, Shady a part of me.
    It's mean that I will be to update the firmware ?
    What do you mean when you say "introduced key 0a" ?
     
  5. godreborn

    godreborn GBAtemp Legend
    Member

    Joined:
    Oct 10, 2009
    Messages:
    18,160
    Country:
    United States
    It's a new master or game key.
     
    BigOnYa likes this.
  6. BigOnYa

    BigOnYa Sofa King Special
    Member

    Joined:
    Jan 11, 2021
    Messages:
    1,129
    Country:
    United States
    The way I solved it, was by going to my pc right click on my NSP file and uncheck read only mode if checked.
    Yes like godreborn mentioned, I also recommend running Lockpick_RCM.bin and getting your newest keyset file.
     
    Last edited by BigOnYa, Mar 5, 2021
    godreborn likes this.
  7. pio_killer

    OP pio_killer Newbie
    Newcomer

    Joined:
    Mar 3, 2021
    Messages:
    6
    Country:
    France
    ok thanks.
    I will test right now ;)
     
  8. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08
    Member

    Joined:
    Mar 17, 2010
    Messages:
    20,813
    Country:
    Norway
    I recommend updating, but not to the latest version. Latest version often has incompatibilities and issues with homebrew or CFW so in general, you should only update when a game needs it and stay behind by a version or two (games never require the latest version anyway) to make sure there are no issues.
    If you update to 10.2.0 you should be good.
     
    Maupiti likes this.
  9. pio_killer

    OP pio_killer Newbie
    Newcomer

    Joined:
    Mar 3, 2021
    Messages:
    6
    Country:
    France
    ok thanks.

    The solution of the "read only property" doesn't work for me.
    But, I test with TinWoo and all is good now. :yayone:

    So Goldleaf have a bug with this functionallity.

    I don't understand why it's recommended to update firmware ?
    It's not necessary if the game work correctly ?
     
    BigOnYa likes this.
  10. BigOnYa

    BigOnYa Sofa King Special
    Member

    Joined:
    Jan 11, 2021
    Messages:
    1,129
    Country:
    United States
  11. pio_killer

    OP pio_killer Newbie
    Newcomer

    Joined:
    Mar 3, 2021
    Messages:
    6
    Country:
    France
    Ok I have the version 0.9 but perhaps it's a problem with my installation ... it's the first time that I do it.
    The most important is that it works. :D

    :grog:
     
    BigOnYa likes this.
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - firmaware,